Bug 242810 - NullPointerException at org.netbeans.modules.csl.navigation.Icons.getElementIcon
NullPointerException at org.netbeans.modules.csl.navigation.Icons.getElementIcon
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: CSL (API & infrastructure)
8.0
All All
: P3 (vote)
: TBD
Assigned To: Milutin Kristofic
issues@editor
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-11 21:01 UTC by NukemBy
Modified: 2014-09-16 02:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.75 KB, text/plain)
2014-03-11 21:01 UTC, NukemBy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NukemBy 2014-03-11 21:01:24 UTC
Build: NetBeans IDE Dev (Build 201403090001)
VM: Java HotSpot(TM) Client VM, 24.45-b08, Java(TM) SE Runtime Environment, 1.7.0_45-b18
OS: Windows Server 2008 R2

User Comments:
NukemBy: Ctrl+Click navigation in LESS file




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.csl.navigation.Icons.getElementIcon(Icons.java:138)
   at org.netbeans.modules.csl.editor.hyperlink.DeclarationPopup$RendererImpl.getListCellRendererComponent(DeclarationPopup.java:221)
   at javax.swing.plaf.basic.BasicListUI.updateLayoutState(BasicListUI.java:1361)
   at javax.swing.plaf.basic.BasicListUI.maybeUpdateLayoutState(BasicListUI.java:1311)
   at javax.swing.plaf.basic.BasicListUI$Handler.valueChanged(BasicListUI.java:2623)
   at javax.swing.DefaultListSelectionModel.fireValueChanged(DefaultListSelectionModel.java:184)
Comment 1 NukemBy 2014-03-11 21:01:26 UTC
Created attachment 145960 [details]
stacktrace
Comment 2 Milutin Kristofic 2014-09-15 13:19:04 UTC
http://hg.netbeans.org/web-main/rev/812924038a69
Comment 3 Quality Engineering 2014-09-16 02:55:05 UTC
Integrated into 'main-silver', will be available in build *201409160001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/812924038a69
User: Milutin Kristofic <mkristofic@netbeans.org>
Log: #242810 - NullPointerException at org.netbeans.modules.csl.navigation.Icons.getElementIcon


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo